public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sentry-sdk/
Date: Tue, 13 Oct 2020 12:07:22 +0000 (UTC)	[thread overview]
Message-ID: <1602590839.89f056729b58425e06fdf90db491d07e983887ef.mgorny@gentoo> (raw)

commit:     89f056729b58425e06fdf90db491d07e983887ef
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 13 11:39:41 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Oct 13 12:07:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89f05672

dev-python/sentry-sdk: Bump to 0.19.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sentry-sdk/Manifest                 |  1 +
 dev-python/sentry-sdk/sentry-sdk-0.19.0.ebuild | 85 ++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 7f35a57c39e..0fabe228d5a 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -3,3 +3,4 @@ DIST sentry-sdk-0.17.6.tar.gz 183157 BLAKE2B ea0f6af54c31abc785274fc75238a02b8c9
 DIST sentry-sdk-0.17.7.tar.gz 184034 BLAKE2B de71b2e270594abe2e16d7e2fb9db3028e3c2abd4539269562e8786e6d937352153da21d6366d5e0384e3de1dbd6fbabe3d5060a6f0f9953bd260fbd865c893d SHA512 2360321ec0231ba76c968ff4e6dc78d42a48106aa6aade73a1c1194f9406fbafea3b533994da42027b3479302756ed3ec6e44ce551cb01ce60397939beaeb6d4
 DIST sentry-sdk-0.17.8.tar.gz 184271 BLAKE2B d34f881632e66d5db5cad0c6979de6c3c6205119af30b34996122ff7aff1ed7c3dd0c1603e57163f5d72c8525921f9af7c3e1c729adb14b43dbcee0aa4bd9fc5 SHA512 84ae0ca888457ed833b416320c45040e522a656d7c3ca0d64639f179e7be3237f53cfe4827e986a50d37bd7b61da765ed8c00ea663d478874cc47623ccf47a51
 DIST sentry-sdk-0.18.0.tar.gz 186389 BLAKE2B f531d68a1244c34d267cb332263c996afad31f7f72710b868e14850f06de6225a11fc37dca9ff820fc14d2f1b29919cfb10f59b7dc4449c0734458c6bd1b9816 SHA512 4c78418392668b1e061f0d6b88d3cc3511db138a99b08df50d2e610a7d8a5528ad83943ef1cfda8d508cb3b52f511f872ac87439460254a6b28348c9bb92406c
+DIST sentry-sdk-0.19.0.tar.gz 186477 BLAKE2B 67e538526d39f814827f2d53ca2b8f59f1a3f13e3a0622e5a1ae8870c04d320dadac2c93e8afa786b47feb9295e6e50beb831112448ab89a1eaae750895378df SHA512 5bf598af1fd7a565fd20f38a3e4961136fc2d102cdb9810cb43802e696897669ae679d82dec14cef5cdf0d3ee9dc7a3def39457b733b1018dd91f82066e2422f

diff --git a/dev-python/sentry-sdk/sentry-sdk-0.19.0.ebuild b/dev-python/sentry-sdk/sentry-sdk-0.19.0.ebuild
new file mode 100644
index 00000000000..1e52e8d5510
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-0.19.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://getsentry.com https://pypi.org/project/sentry-sdk/"
+SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+	dev-python/urllib3[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/asttokens[${PYTHON_USEDEP}]
+		<dev-python/dnspython-2[${PYTHON_USEDEP}]
+		dev-python/executing[${PYTHON_USEDEP}]
+		dev-python/eventlet[${PYTHON_USEDEP}]
+		dev-python/fakeredis[${PYTHON_USEDEP}]
+		dev-python/flask-login[${PYTHON_USEDEP}]
+		dev-python/gevent[${PYTHON_USEDEP}]
+		dev-python/jsonschema[${PYTHON_USEDEP}]
+		dev-python/pyrsistent[${PYTHON_USEDEP}]
+		dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+		dev-python/pytest-forked[${PYTHON_USEDEP}]
+		dev-python/pytest-localserver[${PYTHON_USEDEP}]
+		dev-python/werkzeug[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep '
+			dev-python/aiocontextvars[${PYTHON_USEDEP}]
+			dev-python/contextvars[${PYTHON_USEDEP}]
+		' python3_6)
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	local deselect=(
+		# tests require Internet access
+		--deselect tests/integrations/stdlib/test_httplib.py
+		--deselect tests/integrations/requests/test_requests.py
+		# wtf is it supposed to do?!
+		--deselect tests/integrations/gcp/test_gcp.py
+		# fails on py3.6, hangs on py3.7+
+		--deselect
+		'tests/test_transport.py::test_transport_works[eventlet'
+		# TODO
+		--deselect
+		'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+		--deselect
+		tests/test_client.py::test_databag_depth_stripping
+		--deselect
+		tests/test_client.py::test_databag_string_stripping
+		--deselect
+		tests/test_client.py::test_databag_breadth_stripping
+		# test_filename: apparently unhappy about pytest being called pytest
+		--deselect 'tests/utils/test_general.py::test_filename'
+		# test_circular_references: apparently fragile
+		--deselect
+		'tests/integrations/threading/test_threading.py::test_circular_references'
+	)
+	[[ ${EPYTHON} == python3.6 ]] && deselect+=(
+		# broken with contextvars on py3.6
+		--deselect
+		'tests/utils/test_contextvars.py::test_leaks[greenlet]'
+		--deselect
+		'tests/test_transport.py::test_transport_works[greenlet'
+	)
+
+	# Prevent tests/integrations/modules/test_modules.py:test_basic failure
+	# Needs to detect sentry-sdk in the installed modules
+	distutils_install_for_testing
+
+	pytest -vv "${deselect[@]}" || die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2020-10-13 12:07 UTC|newest]

Thread overview: 285+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-13 12:07 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-31 11:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/sentry-sdk/ Michał Górny
2024-08-31 11:04 Arthur Zamarin
2024-08-17  7:39 Michał Górny
2024-08-17  7:35 Michał Górny
2024-08-14  6:05 Michał Górny
2024-08-10  7:32 Michał Górny
2024-08-10  7:32 Michał Górny
2024-07-31 15:58 Michał Górny
2024-07-27  9:53 Michał Górny
2024-07-27  8:34 Arthur Zamarin
2024-07-27  8:10 Arthur Zamarin
2024-07-27  5:52 Michał Górny
2024-07-24 12:46 Michał Górny
2024-07-16  5:30 Michał Górny
2024-07-13  8:59 Michał Górny
2024-07-13  8:28 Arthur Zamarin
2024-07-11 11:59 Michał Górny
2024-07-08 17:02 Arthur Zamarin
2024-07-06  6:35 Michał Górny
2024-07-06  6:26 Sam James
2024-06-27 20:24 Arthur Zamarin
2024-06-27 12:40 Michał Górny
2024-06-22 15:01 Michał Górny
2024-06-22 13:49 Arthur Zamarin
2024-06-20 11:48 Michał Górny
2024-06-08  9:02 Michał Górny
2024-06-08  6:41 Arthur Zamarin
2024-06-08  5:06 Michał Górny
2024-06-06 16:17 Michał Górny
2024-06-05  4:35 Michał Górny
2024-05-24 11:09 Michał Górny
2024-05-22  9:10 Michał Górny
2024-05-22  9:05 Michał Górny
2024-05-22  6:55 Michał Górny
2024-05-16 14:58 Michał Górny
2024-05-11 11:11 Arthur Zamarin
2024-05-06 15:29 Michał Górny
2024-05-01 17:44 Michał Górny
2024-05-01 17:01 Sam James
2024-05-01 15:51 Michał Górny
2024-04-26 18:55 Michał Górny
2024-04-26  2:05 Michał Górny
2024-04-20 11:23 Michał Górny
2024-04-20 10:49 Michał Górny
2024-04-13 13:58 Michał Górny
2024-04-04  4:16 Michał Górny
2024-03-30 14:59 Michał Górny
2024-03-30 14:53 Michał Górny
2024-03-30  5:53 Michał Górny
2024-03-22  4:38 Michał Górny
2024-03-21 18:13 Arthur Zamarin
2024-03-20 19:21 Michał Górny
2024-03-14  4:22 Michał Górny
2024-03-13 15:02 Michał Górny
2024-03-13 14:10 Arthur Zamarin
2024-03-07 15:39 Michał Górny
2024-03-02 11:52 Michał Górny
2024-03-02 11:26 Arthur Zamarin
2024-02-28  4:03 Michał Górny
2024-02-20  9:09 Michał Górny
2024-02-20  7:41 Sam James
2024-02-19 19:09 Michał Górny
2024-02-14  7:26 Michał Górny
2024-02-10  9:15 Michał Górny
2024-02-08  4:27 Michał Górny
2024-02-07  8:45 Michał Górny
2024-01-30 14:19 Michał Górny
2024-01-29 10:11 Michał Górny
2024-01-29  8:01 Sam James
2024-01-11  5:04 Michał Górny
2023-12-30 14:40 Michał Górny
2023-12-30 14:31 Arthur Zamarin
2023-12-15 17:52 Michał Górny
2023-12-15 17:14 Arthur Zamarin
2023-12-14 13:58 Michał Górny
2023-12-09 13:56 Michał Górny
2023-12-09 13:52 Michał Górny
2023-11-30  5:48 Michał Górny
2023-11-25  6:10 Michał Górny
2023-11-25  6:10 Michał Górny
2023-11-25  3:59 Sam James
2023-11-24 13:42 Michał Górny
2023-11-21 19:05 Michał Górny
2023-11-13 17:41 Michał Górny
2023-11-02 19:44 Michał Górny
2023-11-02 19:44 Michał Górny
2023-10-31 19:12 Michał Górny
2023-10-11 16:49 Michał Górny
2023-09-30  6:46 Michał Górny
2023-09-30  5:54 Arthur Zamarin
2023-09-13 15:02 Michał Górny
2023-08-29 18:53 Arthur Zamarin
2023-08-12  2:19 Michał Górny
2023-08-11 19:12 Arthur Zamarin
2023-08-01 14:59 Michał Górny
2023-08-01  3:01 Michał Górny
2023-07-14  5:34 Michał Górny
2023-07-11  5:52 Michał Górny
2023-07-10  1:38 Michał Górny
2023-07-07  3:15 Michał Górny
2023-07-05  7:58 Michał Górny
2023-06-23  6:06 Michał Górny
2023-06-18 17:18 Michał Górny
2023-06-18 15:14 Sam James
2023-06-08  5:13 Michał Górny
2023-06-03  6:48 Michał Górny
2023-05-29  7:02 Michał Górny
2023-05-23 16:15 Michał Górny
2023-05-23 15:46 Arthur Zamarin
2023-05-18  3:14 Michał Górny
2023-05-16  5:05 Michał Górny
2023-05-08 19:31 Arthur Zamarin
2023-05-05 17:19 Arthur Zamarin
2023-04-29  5:48 Michał Górny
2023-04-22 10:10 Michał Górny
2023-04-22  9:25 Arthur Zamarin
2023-04-21 12:13 Michał Górny
2023-04-06  3:07 Michał Górny
2023-04-05  6:10 Michał Górny
2023-03-29  6:24 Michał Górny
2023-03-17  5:32 Michał Górny
2023-03-11  9:58 Michał Górny
2023-03-11  8:34 Arthur Zamarin
2023-02-27 18:02 Michał Górny
2023-02-13  6:07 Michał Górny
2023-02-12 20:24 Jakov Smolić
2023-02-08  6:27 Michał Górny
2023-01-24  7:04 Michał Górny
2023-01-21  7:56 Michał Górny
2023-01-21  7:03 Arthur Zamarin
2023-01-13  7:09 Michał Górny
2022-12-25 17:53 Michał Górny
2022-12-25 16:48 Sam James
2022-12-20  8:07 Michał Górny
2022-12-16 11:32 Michał Górny
2022-11-25 13:52 Michał Górny
2022-11-25 13:45 Arthur Zamarin
2022-11-23  8:41 Michał Górny
2022-11-17 18:07 Michał Górny
2022-11-15  7:27 Michał Górny
2022-11-15  7:27 Michał Górny
2022-11-03 19:32 Arthur Zamarin
2022-11-03 19:18 Arthur Zamarin
2022-10-21 15:01 Michał Górny
2022-10-21 14:34 Michał Górny
2022-10-08 20:10 Michał Górny
2022-10-08 16:03 Arthur Zamarin
2022-10-03 19:55 Michał Górny
2022-10-03  6:36 Michał Górny
2022-10-02 19:21 Arthur Zamarin
2022-09-27  2:04 Michał Górny
2022-09-06 17:54 Arthur Zamarin
2022-09-01 19:42 Arthur Zamarin
2022-08-31 18:07 Arthur Zamarin
2022-08-30 17:06 Arthur Zamarin
2022-08-30 16:38 Arthur Zamarin
2022-08-21 18:58 Arthur Zamarin
2022-08-21 18:56 Arthur Zamarin
2022-08-18  6:18 Michał Górny
2022-08-18  6:18 Michał Górny
2022-08-17 19:31 Arthur Zamarin
2022-08-17 19:10 Arthur Zamarin
2022-08-16 18:51 Arthur Zamarin
2022-08-12 11:23 Arthur Zamarin
2022-08-09 17:58 Arthur Zamarin
2022-08-06 13:09 Arthur Zamarin
2022-08-05 18:50 Arthur Zamarin
2022-07-29 10:12 Arthur Zamarin
2022-07-24 20:24 Michał Górny
2022-07-21 20:17 Michał Górny
2022-07-15 18:30 Arthur Zamarin
2022-07-14  7:31 Michał Górny
2022-07-11 20:00 Arthur Zamarin
2022-06-22 16:43 Arthur Zamarin
2022-06-06 11:33 Michał Górny
2022-06-06 11:33 Michał Górny
2022-06-06 10:20 Jakov Smolić
2022-05-11 16:43 Michał Górny
2022-05-11  8:05 Michał Górny
2022-05-08  8:47 Michał Górny
2022-05-04  5:17 Sam James
2022-04-19 13:39 Michał Górny
2022-04-19 12:10 Arthur Zamarin
2022-04-09 18:39 Michał Górny
2022-04-09 16:42 Arthur Zamarin
2022-03-18 22:28 Michał Górny
2022-03-15 14:26 Michał Górny
2022-03-15 13:07 Jakov Smolić
2022-03-09 18:26 Arthur Zamarin
2022-03-08 17:11 Jakov Smolić
2022-02-22 18:55 Michał Górny
2022-02-13  9:39 Michał Górny
2022-02-13  8:41 Jakov Smolić
2022-02-11 21:18 Michał Górny
2022-01-25 18:56 Arthur Zamarin
2022-01-20 19:23 Arthur Zamarin
2022-01-10 20:30 Arthur Zamarin
2022-01-10 20:00 Michał Górny
2021-12-22 19:05 Michał Górny
2021-12-22 18:10 Arthur Zamarin
2021-12-14 10:21 Michał Górny
2021-11-17 20:46 Michał Górny
2021-10-24 20:52 Michał Górny
2021-10-24 16:52 Agostino Sarubbo
2021-10-24  1:20 Sam James
2021-10-24  1:20 Sam James
2021-09-29 21:59 Michał Górny
2021-09-27 22:16 Michał Górny
2021-09-23  8:16 Michał Górny
2021-09-21 19:11 Michał Górny
2021-08-30  7:46 Michał Górny
2021-08-30  7:26 Agostino Sarubbo
2021-08-07 20:31 Michał Górny
2021-08-07 14:52 Michał Górny
2021-08-07 14:43 Sam James
2021-07-28  5:31 Michał Górny
2021-07-09  7:26 Michał Górny
2021-07-07  6:33 Michał Górny
2021-06-15  5:40 Michał Górny
2021-06-15  3:48 Sam James
2021-05-07  8:47 Michał Górny
2021-04-06 20:39 Michał Górny
2021-04-06 19:51 Sam James
2021-03-25 19:09 Michał Górny
2021-03-25 16:19 Agostino Sarubbo
2021-03-15  8:57 Michał Górny
2021-03-15  6:30 Sam James
2021-03-03 19:53 Sam James
2021-03-03 19:53 Sam James
2021-02-19  0:12 Michał Górny
2021-02-16  0:32 Michał Górny
2021-02-12 16:01 Sam James
2021-02-12  9:09 Michał Górny
2021-01-18 14:52 Sam James
2021-01-13 11:54 Michał Górny
2021-01-13  9:16 Sam James
2020-12-23  8:29 Michał Górny
2020-12-23  0:10 Sam James
2020-12-10 12:43 Michał Górny
2020-11-26  8:53 Michał Górny
2020-11-26  8:37 Sam James
2020-11-20 14:14 Sam James
2020-11-20 14:14 Sam James
2020-11-20 13:42 Sam James
2020-11-19 18:17 Michał Górny
2020-11-18 10:45 Sam James
2020-11-14 19:00 Sam James
2020-11-12 21:13 Michał Górny
2020-11-07  1:23 Sam James
2020-11-04  1:47 Sam James
2020-11-02 23:31 Michał Górny
2020-10-21 22:51 Michał Górny
2020-10-19 20:13 Sam James
2020-10-19  9:16 Michał Górny
2020-09-30  7:14 Michał Górny
2020-09-23 17:24 Michał Górny
2020-09-22  8:22 Michał Górny
2020-09-18 23:58 Sam James
2020-09-16  3:01 Sam James
2020-09-16  2:34 Sam James
2020-09-15 22:19 Michał Górny
2020-09-14 18:03 Sam James
2020-09-14 18:03 Sam James
2020-09-13  9:04 Sam James
2020-09-13  8:59 Sam James
2020-09-10 22:03 Michał Górny
2020-09-10 22:03 Michał Górny
2020-09-10  8:49 Michał Górny
2020-09-09 22:16 Michał Górny
2020-09-04  0:46 Sam James
2020-09-04  0:46 Sam James
2020-09-03 14:29 Thomas Deutschmann
2020-09-02  5:37 Sam James
2020-08-04 15:11 Sam James
2020-08-04 15:11 Sam James
2020-08-04  4:28 Sam James
2020-08-04  3:43 Sam James
2020-08-02 20:25 Sam James
2020-08-02 20:22 Sam James
2020-05-24 22:40 Aaron Bauman
2020-05-11 19:33 Michał Górny
2020-03-29  9:16 Michał Górny
2020-03-29  8:19 Michał Górny
2020-02-11 11:42 Alexey Shvetsov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1602590839.89f056729b58425e06fdf90db491d07e983887ef.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox